Subject: Re: linux-next: build warning after merge of the tpmdd tree

From: Jarkko Sakkinen <[email-masked]>
Date: Wed, 12 Mar 2025 08:16:18 +0200

On Tue, Mar 11, 2025 at 09:21:49AM -0500, Stuart Yoder wrote:
> 
> 
> On 3/11/25 5:10 AM, Jarkko Sakkinen wrote:
> > On Tue, Mar 11, 2025 at 09:00:11PM +1100, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > After merging the tpmdd tree, today's linux-next build (htmldocs)
> > > produced this warning:
> > > 
> > > Documentation/security/tpm/tpm_ffa_crb.rst: WARNING: document isn't included in any toctree
> > > 
> > > Introduced by commit
> > > 
> > >    115be78c0bfe ("Documentation: tpm: add documentation for the CRB FF-A interface")
> > > 
> > > -- 
> > > Cheers,
> > > Stephen Rothwell
> > 
> > Stuart, could you send a replacement patch and I'll repeal and replace?
> 
> Replacement patch is set.  I just sent v7 patch 5/5.  If you need me to
> resend the entire series as v7 I'll do that.

Yeah, so the build issue needs to be sorted. Also Sudeep's request on
ACPICA feedback was legit. No worries but I'd feel that it'd be the
safest call to postpone to 6.16 and get a bit more feedback before
moving forward.

> Thanks!
> Stuart

BR, Jarkko